Kodi Community Forum
[RELEASE] XBMC-ECP (eMule Control Panel) Script - Printable Version

+- Kodi Community Forum (http://forum.kodi.tv)
+-- Forum: Help and Support (/forumdisplay.php?fid=33)
+--- Forum: Add-ons Help and Support (/forumdisplay.php?fid=27)
+---- Forum: Program Add-ons (/forumdisplay.php?fid=151)
+---- Thread: [RELEASE] XBMC-ECP (eMule Control Panel) Script (/showthread.php?tid=11101)

Pages: 1 2 3 4 5 6


- gerner - 2005-09-02 02:48

great work sambarza. really nice script.

i'm probably just being a dumbo but i can't see how to operate the change upload / download limits feature. anyone give me a hint?


- lolol - 2005-09-03 13:10

hi sambarza!

thought this project was dead...

great news! looking forward for it! Wink

cu lolol


- sambarza - 2005-10-25 21:22

hello to everyone,

new release on sourceforge

bugfix:
- unicode filenames (sometimes download or upload list empty)
- some others minor bugs

new feature:
- skinnable (two skins pm and pm3) :-)
- handle all screen formats (maybe i can't try)
- open file directly from script

http://prdownloads.sourceforge.net/xbmc-ec....ownload

sorry i have no time to do configuration page for direct open file mapping...

you need to change manually the file settings.py in folder modules to set where incoming and temp folder are map into xbmc:

location_map = {"remote": "h:\\emule_incoming", "local" : "xns://192.168.1.2:1400/divx"}

location_map = {"remote" : "h:\\emule_temp",  "local" : "xns://192.168.1.2:1400/temp" }

i tried with xns and smb

enjoy and let me know

bye
sambarza


- sambarza - 2005-10-29 17:33

created a new template and plugin for emule 0.46c

from the web is missing the info where the file is been dowloaded soo i can't open the file :-(


- bouriko - 2005-10-31 17:16

thx so much for this new release ^^ working great for me ..
just a little problem with statut bar on bottom, i don't know if the screen format support 16/9 or only 4/3, i see an half of statut server up and down


- HarshReality - 2005-11-01 03:30

i'm running 4:3 and cant see hardly any of the bar at all. as a matter of fact the entire thing is stretched off the side of the screen. can we get a fix to set the resolution for either 16:9 or 4:3 or make it sense the current resolution and work accordingly?


- sambarza - 2005-11-03 19:08

hi,

in file xbmc-ecp\skins\pmiii\main.xml

there is:

<bottomline_icons>(vbottom) - (iconsizesmall)</bottomline_icons>

you can try something like:
<bottomline_icons>(vbottom) - (iconsizesmall) - 30</bottomline_icons>

let me know the correct value...
i will create a templates... pmiii-16:9 / pmiii-4:3

thanks
sambarza


- HarshReality - 2005-11-04 02:32

thanks, looking forward to it.. might have a loader screen to determine your resolution and then load the correct skin/screen


- sambarza - 2005-11-04 13:44

i use with a 4:3 screen... for me the skin is ok... there is something more than resolution... i suppose overscan...


- wolfz - 2005-11-08 09:27

:nuts: hi sam
call me tonight Wink
:lol:


- cubed370 - 2006-01-06 07:37

hi ,
great program from what i hear..im having an install problem..could someone please help me.

emule ver .46c
ecp ver 29.10.2005
language : english
xbmc ver 1.2005 (latest)
i have the emulexml.tmpl file running..web interface from a browser works fine.
i installed the ecp and when i launch the emule control panel from xbmc it says 1st time wizard and runs the config stuff..
i put it all in and it stops after i put in the skin location and says : "wrong template" and something about loading the correct template in emule..refers to emulexml.tmpl which is the file i have loaded in emule.
im guessing either my tmpl file is not the right one (tried emulexmllight.tmpl does the same thing..and other versions of the tmpl file dont load into emule...especially the pre .46c version. )
what can i do to get this working?
thanks a bunch
sam


- yoni - 2006-06-29 12:38

mfff... is this project dead ?

got problem with emule 0.47a and ecp it seams that the emule template havn't been updated.

my emule 0.47a refuse to load the template.

"replace the template with a newer version".

is there something like that somewhere ?

thanks


Emule controller - Just a little help required - slowpoke115 - 2006-09-20 02:54

I'm using emule (0.47C) on XP, I wanted to try the latest ECP control script by sambarza but my emule client wont accept the emuleXML.tmpl file as a webserver file, it just crashes. Is there anything else I need to do? The instructions are not very clear, theres something about the added plugins but it doesn't help me too much. I have 100% compatability with the default templates that came with the program (obviously this isn't compatible with the script).

I'm sure this is more of my misunderstanding than a script related program, but any help would be REALLY appreciated.

Keep up the good work guys Big Grin

Thanks for all your help


Ecp - gzusrawx - 2006-09-20 14:14

Are you using emule or emule plus? I believe this plugin requires emule plus for it to work properly.


- fidoboy - 2009-07-27 12:05

Hello, there is any chance on getting this script updated to work on latest skins (like MediaStream)?? It could be very useful! ...or may be that i can modify the current files myself but i need a little help and/or some tips to create the necessary files for MediaStream skin....

kind regards and thanks in advance,